<?php
	$path = $_GET['path'];
	if(!empty($path) and !is_null($path)){
		$filename=basename($path);
		$file=fopen($path,"r");
		header("Content-type:application/octet-stream");
		header("Accept-ranges:bytes");
		header("Accept-length:".filesize($path));
		header("Content-Disposition:attachment;filename=".$filename);
		echo fread($file,filesize($path));
		fclose($file);
		exit;
	}
?>